(function ($) {
    'use strict';

    function quantity() {
        var $parent = $(".products");
        $parent.on("click", ".quantity input", function() {
            return false;
        });

        $parent.on("change input", ".quantity .qty", function() {
            var add_to_cart_button = $(this).parents( ".product" ).find(".add_to_cart_button");
            add_to_cart_button.attr("data-quantity", $(this).val());
        });

        $parent.on("keypress", ".quantity .qty", function(e) {
            if ((e.which||e.keyCode) === 13) {
                $( this ).parents(".product").find(".add_to_cart_button").trigger("click");
            }
        });
    }

    function woo_widget_categories() {
        var widget = $('.widget_product_categories'),
            main_ul = widget.find('ul');
        if (main_ul.length) {
            var dropdown_widget_nav = function () {
                main_ul.find('li').each(function () {
                    var main = $(this),
                        link = main.find('> a'),
                        ul = main.find('> ul.children');
                    if (ul.length) {
                        if (main.hasClass('current-cat-parent')) {
                            ul.show();
                            link.before('<i class="rbpazt-icon-minus-square"></i>');
                            main.addClass('closed');
                        } else if (main.hasClass('opened')) {
                            link.before('<i class="rbpazt-icon-plus-square"></i>');
                            ul.hide();
                        } else {
                            main.addClass('opened');
                            link.before('<i class="rbpazt-icon-plus-square"></i>');
                        }

                        // on click
                        main.find('i').on('click', function (e) {

                            ul.slideToggle('slow');

                            if (main.hasClass('closed')) {
                                main.removeClass('closed').addClass('opened');
                                main.find('>i').removeClass('rbpazt-icon-minus-square').addClass('rbpazt-icon-plus-square');
                            } else {
                                main.removeClass('opened').addClass('closed');
                                main.find('>i').removeClass('rbpazt-icon-plus-square').addClass('rbpazt-icon-minus-square');
                            }

                            e.stopImmediatePropagation();
                        });

                        main.on('click', function (e) {

                            if ($(e.target).filter('a').length)
                                return;

                            ul.slideToggle('slow');

                            if (main.hasClass('closed')) {
                                main.removeClass('closed').addClass('opened');
                                main.find('i').removeClass('rbpazt-icon-minus-square').addClass('rbpazt-icon-plus-square');
                            } else {
                                main.removeClass('opened').addClass('closed');
                                main.find('i').removeClass('rbpazt-icon-plus-square').addClass('rbpazt-icon-minus-square');
                            }

                            e.stopImmediatePropagation();
                        });
                    }
                });
            };
            dropdown_widget_nav();
        }
    }

    function tooltip() {
        $('body').on('mouseenter', '.shop-action .woosq-btn:not(.tooltipstered),.shop-action .woosw-btn:not(.tooltipstered),.shop-action .woosc-btn:not(.tooltipstered)', function () {
            var $element = $(this);
            if (typeof $.fn.tooltipster !== 'undefined') {
                $element.tooltipster({
                    position: 'top',
                    functionBefore: function (instance, helper) {
                        instance.content(instance._$origin.text());
                    },
                    theme: 'rbpazt-product-tooltipster',
                    delay: 0,
                    animation: 'fade'
                }).tooltipster('show');
            }
        });
    }

    var xhr;
    function sendRequest(url) {

        if (xhr) {
            xhr.abort();
        }

        xhr = $.ajax({
            type: "GET",
            url: url,
            beforeSend: function () {
                var $products = $('ul.rbpazt-products');
                if($products.hasClass('products-list')){
                    $products.addClass('preloader');
                }else{
                    $('>li', $products).html('<div class="skeleton-body"><div class="skeleton-item skeleton-product"></div></div>');
                }
            },
            success: function (data) {
                let $html = $(data);
                $('#main > ul.rbpazt-products').replaceWith($html.find('#main > ul.rbpazt-products'));
                $('#main > .rbpazt-woocommerce-pagination').replaceWith($html.find('#main > .rbpazt-woocommerce-pagination'));
                $('.woocommerce-result-count').replaceWith($html.find('.woocommerce-result-count'));
                window.history.pushState(null, null, url);
                xhr = false;
                $(document).trigger('skeletonScreen');
            }
        });
    }

    function product_archive_layout() {
        var $body = $('body');
        $body.on('click', '.gridlist-toggle .list,.gridlist-toggle .grid', function (e) {
            e.preventDefault();
            if($(this).hasClass('active')){
                return;
            }
            $(this).siblings().removeClass('active');
            $(this).addClass('active');
            var url = $(this).attr('href');
            sendRequest(url);
        });

        $body.on('change', '.rbpazt-products-per-page #per_page', function (e) {
            e.preventDefault();
            var url = this.value;
            sendRequest(url);
        });

    }

    $(document).on('woo_widget_categories', function(){
        woo_widget_categories();
    })

    product_archive_layout();
    tooltip();

    $(document).ready(function () {
        quantity();
        $(document).trigger('woo_widget_categories');
    });

})(jQuery);
