<?php
/**
 * Created by PhpStorm.
 * User: namda
 * Date: 12/16/2020
 * Time: 9:57 PM
 */

if ( ! function_exists( 'rbpazt_post_meta' ) ) {
	/**
	 * Display the post meta
	 *
	 * @since 1.0.0
	 */
	function rbpazt_post_meta( $atts = array() ) {
		if ( 'post' !== get_post_type() ) {
			return;
		}

		extract(
			shortcode_atts(
				array(
					'author'     => 0,
					'categories' => 0,
					'date'       => 1,
					'date_style' => 1
				),
				$atts
			)
		);

		if ( $date == 1 ) {
			// Posted on.

			if ( $date_style == 1 ) {
				$time_string = '<time class="entry-date published date-style" datetime="%1$s"><span class="day">%2$s</span><span class="month">%3$s</span></time>';

				if ( get_the_time( 'U' ) !== get_the_modified_time( 'U' ) ) {
					$time_string = '<time class="entry-date published date-style" datetime="%1$s"><span class="day">%2$s</span><span class="month">%3$s</span></time><time class="updated" datetime="%4$s">%5$s</time>';
				}

				$time_string = sprintf(
					$time_string,
					esc_attr( get_the_date( 'c' ) ),
					esc_html( get_the_date( 'd' ) ),
					esc_html( get_the_date( 'M' ) ),
					esc_attr( get_the_modified_date( 'c' ) ),
					esc_html( get_the_modified_date() )
				);
				$posted_on   = '<div class="posted-on">' . sprintf( '<a href="%1$s" rel="bookmark">%2$s</a>', esc_url( get_permalink() ), $time_string ) . '</div>';
				echo wp_kses( $posted_on, array(
						'div'  => array(
							'class' => array(),
						),
						'i'    => array(
							'class' => array(),
						),
						'span' => array(
							'class' => array(),
						),
						'a'    => array(
							'href'  => array(),
							'rel'   => array(),
							'class' => array(),
						),
						'time' => array(
							'datetime' => array(),
							'class'    => array(),
						)
					)
				);
			} else {

				$time_string = '<time class="entry-date published" datetime="%1$s">%2$s</time>';

				if ( get_the_time( 'U' ) !== get_the_modified_time( 'U' ) ) {
					$time_string = '<time class="entry-date published" datetime="%1$s">%2$s</time><time class="updated" datetime="%3$s">%4$s</time>';
				}

				$time_string = sprintf(
					$time_string,
					esc_attr( get_the_date( 'c' ) ),
					esc_html( get_the_date() ),
					esc_attr( get_the_modified_date( 'c' ) ),
					esc_html( get_the_modified_date() )
				);

				$posted_on = '<div class="posted-on"><i class="rbpazt-icon-clock"></i>' . sprintf( '<a href="%1$s" rel="bookmark">%2$s</a>', esc_url( get_permalink() ), $time_string ) . '</div>';
				echo wp_kses( $posted_on, array(
						'div'  => array(
							'class' => array(),
						),
						'i'    => array(
							'class' => array(),
						),
						'span' => array(
							'class' => array(),
						),
						'a'    => array(
							'href'  => array(),
							'rel'   => array(),
							'class' => array(),
						),
						'time' => array(
							'datetime' => array(),
							'class'    => array(),
						)
					)
				);
			}


		}

		if ( $author == 1 ) {
			// Author.
			$author = sprintf(
				'<div class="post-author"><i class="rbpazt-icon-user"></i><span>%1$s<a href="%2$s" class="url fn" rel="author">%3$s</a></span></div>',
				esc_html__( 'by ', 'rbpazt' ),
				esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
				esc_html( get_the_author() )
			);

			echo wp_kses( $author, array(
				'div'  => array(
					'class' => array(),
				),
				'i'    => array(
					'class' => array(),
				),
				'span' => array(
					'class' => array(),
				),
				'a'    => array(
					'href'  => array(),
					'rel'   => array(),
					'class' => array(),
				),
			) );
		}

		if ( $categories == 1 ) {
			// Get Categories for posts.
			$categories_list = get_the_category_list( ', ' );

			if ( 'post' === get_post_type() && $categories_list ) {
				// Make sure there's more than one category before displaying.
				echo '<div class="categories-link"><i class="rbpazt-icon-folder"></i><span class="screen-reader-text">' . esc_html__( 'Categories', 'rbpazt' ) . '</span>' . $categories_list . '</div>';
			}
		}
	}
}

if ( ! function_exists( 'rbpazt_account_dropdown' ) ) {
	function rbpazt_account_dropdown() { ?>
		<?php if ( has_nav_menu( 'my-account' ) ) : ?>
            <nav class="social-navigation" role="navigation" aria-label="<?php esc_attr_e( 'Dashboard', 'rbpazt' ); ?>">
				<?php
				wp_nav_menu( array(
					'theme_location' => 'my-account',
					'menu_class'     => 'account-links-menu',
					'depth'          => 1,
				) );
				?>
            </nav><!-- .social-navigation -->
		<?php else: ?>
            <ul class="account-dashboard">

				<?php if ( rbpazt_is_woocommerce_activated() ): ?>
                    <li>
                        <a href="<?php echo esc_url( wc_get_page_permalink( 'myaccount' ) ); ?>" title="<?php esc_attr_e( 'Dashboard', 'rbpazt' ); ?>"><?php esc_html_e( 'Dashboard', 'rbpazt' ); ?></a>
                    </li>
                    <li>
                        <a href="<?php echo esc_url( wc_get_account_endpoint_url( 'orders' ) ); ?>" title="<?php esc_attr_e( 'Orders', 'rbpazt' ); ?>"><?php esc_html_e( 'Orders', 'rbpazt' ); ?></a>
                    </li>
                    <li>
                        <a href="<?php echo esc_url( wc_get_account_endpoint_url( 'downloads' ) ); ?>" title="<?php esc_attr_e( 'Downloads', 'rbpazt' ); ?>"><?php esc_html_e( 'Downloads', 'rbpazt' ); ?></a>
                    </li>
                    <li>
                        <a href="<?php echo esc_url( wc_get_account_endpoint_url( 'edit-address' ) ); ?>" title="<?php esc_attr_e( 'Edit Address', 'rbpazt' ); ?>"><?php esc_html_e( 'Edit Address', 'rbpazt' ); ?></a>
                    </li>
                    <li>
                        <a href="<?php echo esc_url( wc_get_account_endpoint_url( 'edit-account' ) ); ?>" title="<?php esc_attr_e( 'Account Details', 'rbpazt' ); ?>"><?php esc_html_e( 'Account Details', 'rbpazt' ); ?></a>
                    </li>
				<?php else: ?>
                    <li>
                        <a href="<?php echo esc_url( get_dashboard_url( get_current_user_id() ) ); ?>" title="<?php esc_attr_e( 'Dashboard', 'rbpazt' ); ?>"><?php esc_html_e( 'Dashboard', 'rbpazt' ); ?></a>
                    </li>
				<?php endif; ?>
                <li>
                    <a title="<?php esc_attr_e( 'Log out', 'rbpazt' ); ?>" class="tips" href="<?php echo esc_url( wp_logout_url( home_url() ) ); ?>"><?php esc_html_e( 'Log Out', 'rbpazt' ); ?></a>
                </li>
            </ul>
		<?php endif;

	}
}

if ( ! function_exists( 'rbpazt_header_account_side' ) ) {
	function rbpazt_header_account_side() {
		?>
        <div class="site-account-side side-wrap">
            <a href="#" class="close-account-side close-side"></a>
            <div class="account-side-heading side-heading">
                <span class="account-side-title side-title"><?php echo esc_html__( 'Sign in', 'rbpazt' ); ?></span>
            </div>
			<?php rbpazt_form_login(); ?>
        </div>
        <div class="wishlist-side-overlay side-overlay"></div>
		<?php
	}
}

if ( ! function_exists( 'rbpazt_form_login' ) ) {
	function rbpazt_form_login() { ?>

        <form class="rbpazt-login-form-ajax" data-toggle="validator">
            <label>
                <span class="label"><?php esc_attr_e( 'Username or email', 'rbpazt' ); ?> <span class="required">*</span></span>
                <input name="username" type="text" required>
            </label>
            <label>
                <span class="label"><?php esc_attr_e( 'Password', 'rbpazt' ); ?> <span class="required">*</span></span>
                <input name="password" type="password" required>
            </label>
            <button type="submit" data-button-action class="button"><?php esc_html_e( 'Login', 'rbpazt' ) ?></button>
            <input type="hidden" name="action" value="rbpazt_login">
			<?php wp_nonce_field( 'ajax-rbpazt-login-nonce', 'security-login' ); ?>
        </form>
        <a href="<?php echo wp_lostpassword_url( get_permalink() ); ?>" class="lostpass-link" title="<?php esc_attr_e( 'Lost your password?', 'rbpazt' ); ?>"><?php esc_attr_e( 'Lost your password?', 'rbpazt' ); ?></a>
        <div class="login-form-hook">
			<?php do_action( 'rbpazt_loggin_customs' ); ?>
        </div>
        <div class="login-form-bottom">
            <span class="create-account-text"><?php echo esc_html__( 'No account yet?', 'rbpazt' ); ?></span>
			<?php
			if ( rbpazt_is_woocommerce_activated() && get_option( 'woocommerce_enable_myaccount_registration' ) == "yes" ) { ?>
                <a class="register-link" href="<?php echo esc_url( wc_get_page_permalink( 'myaccount' ) ); ?>" title="<?php esc_attr_e( 'Register', 'rbpazt' ); ?>"><?php esc_attr_e( 'Create an Account', 'rbpazt' ); ?></a>
			<?php } else { ?>
                <a class="register-link" href="<?php echo esc_url( wp_registration_url() ); ?>" title="<?php esc_attr_e( 'Register', 'rbpazt' ); ?>"><?php esc_attr_e( 'Create an Account', 'rbpazt' ); ?></a>
			<?php } ?>
        </div>

		<?php
	}
}

if ( ! function_exists( 'rbpazt_mobile_nav_button' ) ) {
	function rbpazt_mobile_nav_button() {
		if ( isset( get_nav_menu_locations()['handheld'] ) || isset( get_nav_menu_locations()['vertical'] ) ) {
			wp_enqueue_script( 'rbpazt-nav-mobile' );
			?>
            <a href="#" class="menu-mobile-nav-button">
                <span class="toggle-text screen-reader-text"><?php echo esc_attr( apply_filters( 'rbpazt_menu_toggle_text', esc_html__( 'Menu', 'rbpazt' ) ) ); ?></span>
                <i class="rbpazt-icon-bars"></i>
            </a>
			<?php
		}
	}
}

if ( ! function_exists( 'rbpazt_mobile_nav' ) ) {
	function rbpazt_mobile_nav() {
		if ( isset( get_nav_menu_locations()['handheld'] ) || isset( get_nav_menu_locations()['vertical'] ) ) {
			?>
            <div class="rbpazt-mobile-nav">
                <div class="menu-scroll-mobile">
                    <a href="#" class="mobile-nav-close"><i class="rbpazt-icon-times"></i></a>
					<?php
					rbpazt_mobile_navigation();
					?>
                </div>
				<?php if ( rbpazt_is_elementor_activated() ) {
					rbpazt_language_switcher_mobile();
				} ?>
            </div>
            <div class="rbpazt-overlay"></div>
			<?php
		}
	}
}
if ( ! function_exists( 'rbpazt_mobile_navigation' ) ) {
	/**
	 * Display Handheld Navigation
	 *
	 * @return void
	 * @since  1.0.0
	 */
	function rbpazt_mobile_navigation() {
		?>
        <div class="mobile-nav-tabs">
            <ul>
				<?php if ( isset( get_nav_menu_locations()['handheld'] ) ) { ?>
                    <li class="mobile-tab-title mobile-pages-title active" data-menu="pages">
                        <span><?php echo esc_html( get_term( get_nav_menu_locations()['handheld'], 'nav_menu' )->name ); ?></span>
                    </li>
				<?php } ?>
				<?php if ( isset( get_nav_menu_locations()['vertical'] ) ) { ?>
                    <li class="mobile-tab-title mobile-categories-title" data-menu="categories">
                        <span><?php echo esc_html( get_term( get_nav_menu_locations()['vertical'], 'nav_menu' )->name ); ?></span>
                    </li>
				<?php } ?>
            </ul>
        </div>
        <nav class="mobile-menu-tab mobile-navigation mobile-pages-menu active" aria-label="<?php esc_html_e( 'Mobile Navigation', 'rbpazt' ); ?>">
			<?php
			wp_nav_menu(
				array(
					'theme_location'  => 'handheld',
					'container_class' => 'handheld-navigation',
				)
			);
			?>
        </nav>
        <nav class="mobile-menu-tab mobile-navigation-categories mobile-categories-menu" aria-label="<?php esc_html_e( 'Mobile Navigation', 'rbpazt' ); ?>">
			<?php
			$args = apply_filters( 'rbpazt_nav_menu_args', [
				'fallback_cb'     => '__return_empty_string',
				'theme_location'  => 'vertical',
				'container_class' => 'handheld-navigation',
			] );

			wp_nav_menu( $args );
			?>
        </nav>
		<?php
	}
}

if ( ! function_exists( 'rbpazt_language_switcher_mobile' ) ) {
	function rbpazt_language_switcher_mobile() {
		$languages = apply_filters( 'wpml_active_languages', [] );
		if ( rbpazt_is_wpml_activated() ) { ?>
            <div class="rbpazt-language-switcher-mobile">
                <ul class="menu">
                    <li class="item">
                        <div class="language-switcher-head">
                            <img src="<?php echo esc_url( $languages[ ICL_LANGUAGE_CODE ]['country_flag_url'] ) ?>"
                                 alt="<?php esc_attr( $languages[ ICL_LANGUAGE_CODE ]['default_locale'] ) ?>">
                        </div>
                    </li>
					<?php foreach ( $languages as $key => $language ) {
						if ( ICL_LANGUAGE_CODE === $key ) {
							continue;
						} ?>
                        <li class="item">
                            <div class="language-switcher-img">
                                <a href="<?php echo esc_url( $language['url'] ) ?>">
                                    <img src="<?php echo esc_url( $language['country_flag_url'] ) ?>"
                                         alt="<?php esc_attr( $language['default_locale'] ) ?>">
                                </a>
                            </div>
                        </li>
					<?php } ?>
                </ul>
            </div>
		<?php }
	}
}

if (!function_exists('rbpazt_language_switcher')) {
	function rbpazt_language_switcher() {
		$languages = apply_filters('wpml_active_languages', []);
		if (rbpazt_is_wpml_activated() || count($languages) > 0) {
			?>
            <div class="rbpazt-language-switcher">
                <ul class="menu">
                    <li class="item">
                        <div class="language-switcher-head">
                            <span class="title">
                                <?php echo esc_html($languages[ICL_LANGUAGE_CODE]['translated_name']); ?>
                            </span>
                        </div>
                        <ul class="sub-item">
                            <?php
                            foreach ($languages as $key => $language) {
                                if (ICL_LANGUAGE_CODE === $key) {
                                    continue;
                                }
                                ?>
                                <li>
                                    <a href="<?php echo esc_url($language['url']) ?>">
                                        <img width="18" height="12"
                                             src="<?php echo esc_url($language['country_flag_url']) ?>"
                                             alt="<?php esc_attr($language['default_locale']) ?>">
                                        <span><?php echo esc_html($language['translated_name']); ?></span>
                                    </a>
                                </li>
                                <?php
                            }
                            ?>
                        </ul>
                    </li>
                </ul>
            </div>
			<?php
		}
	}
}

if ( ! function_exists( 'rbpazt_header_search_popup' ) ) {
	function rbpazt_header_search_popup() {
		?>
        <div class="site-search-popup">
            <div class="site-search-popup-wrap">
                <a href="#" class="site-search-popup-close"></a>
				<?php
				if ( rbpazt_is_woocommerce_activated() ) {
					rbpazt_product_search();
				} else {
					?>
                    <div class="site-search">
						<?php get_search_form(); ?>
                    </div>
					<?php
				}
				?>
            </div>
        </div>
		<?php
	}
}

if ( ! function_exists( 'rbpazt_header_search_button' ) ) {
	function rbpazt_header_search_button() {
		add_action( 'wp_footer', 'rbpazt_header_search_popup', 1 );
		?>
        <div class="site-header-search">
            <a href="#" class="button-search-popup"><i class="rbpazt-icon-search"></i></a>
        </div>
		<?php
	}
}

if ( ! function_exists( 'rbpazt_social_share' ) ) {
	function rbpazt_social_share() {
		if ( rbpazt_get_theme_option( 'social_share' ) ) {
			?>
            <div class="rbpazt-social-share">
				<?php if ( rbpazt_get_theme_option( 'social_share_facebook' ) ): ?>
                    <a class="social-facebook"
                       href="http://www.facebook.com/sharer.php?u=<?php the_permalink(); ?>&display=page"
                       target="_blank" title="<?php esc_html_e( 'Share on facebook', 'rbpazt' ); ?>">
                        <i class="rbpazt-icon-facebook"></i>
                        <span><?php esc_html_e( 'Facebook', 'rbpazt' ); ?></span>
                    </a>
				<?php endif; ?>

				<?php if ( rbpazt_get_theme_option( 'social_share_twitter' ) ): ?>
                    <a class="social-twitter"
                       href="http://twitter.com/home?status=<?php esc_attr( get_the_title() ); ?><?php the_permalink(); ?>" target="_blank"
                       title="<?php esc_html_e( 'Share on Twitter', 'rbpazt' ); ?>">
                        <i class="rbpazt-icon-twitter"></i>
                        <span><?php esc_html_e( 'Twitter', 'rbpazt' ); ?></span>
                    </a>
				<?php endif; ?>

				<?php if ( rbpazt_get_theme_option( 'social_share_linkedin' ) ): ?>
                    <a class="social-linkedin"
                       href="http://linkedin.com/shareArticle?mini=true&url=<?php the_permalink(); ?>&title=<?php echo esc_url(get_the_title()); ?>"
                       target="_blank" title="<?php esc_html_e( 'Share on LinkedIn', 'rbpazt' ); ?>">
                        <i class="rbpazt-icon-linkedin"></i>
                        <span><?php esc_html_e( 'Linkedin', 'rbpazt' ); ?></span>
                    </a>
				<?php endif; ?>
				<?php if ( rbpazt_get_theme_option( 'social_share_pinterest' ) ): ?>
                    <a class="social-pinterest"
                       href="http://pinterest.com/pin/create/button/?url=<?php echo urlencode( get_permalink() ); ?>&description=<?php echo esc_url(urlencode( get_the_title() )); ?>"
                       target="_blank" title="<?php esc_html_e( 'Share on Pinterest', 'rbpazt' ); ?>">
                        <i class="rbpazt-icon-pinterest-p"></i>
                        <span><?php esc_html_e( 'Pinterest', 'rbpazt' ); ?></span>
                    </a>
				<?php endif; ?>

				<?php if ( rbpazt_get_theme_option( 'social_share_email' ) ): ?>
                    <a class="social-envelope" href="mailto:?subject=<?php the_title(); ?>&body=<?php the_permalink(); ?>"
                       title="<?php esc_html_e( 'Email to a Friend', 'rbpazt' ); ?>">
                        <i class="rbpazt-icon-envelope"></i>
                        <span><?php esc_html_e( 'Email', 'rbpazt' ); ?></span>
                    </a>
				<?php endif; ?>
            </div>
			<?php
		}
	}
}

if ( ! function_exists( 'rbpazt_post_taxonomy' ) ) {
	/**
	 * Display the post taxonomies
	 *
	 * @since 2.4.0
	 */
	function rbpazt_post_taxonomy() {
		/* translators: used between list items, there is a space after the comma */

		/* translators: used between list items, there is a space after the comma */
		$tags_list = get_the_tag_list( '', ', ' );
		?>
        <aside class="entry-taxonomy">
			<?php if ( $tags_list ) : ?>
                <div class="tags-links">
                    <span class="label"><?php echo esc_html( _n( 'Tag:', 'Tags:', count( get_the_tags() ), 'rbpazt' ) ); ?></span>
					<?php printf( '%s', $tags_list ); ?>
                </div>
			<?php endif;
			if ( rbpazt_is_elementor_activated() ) {
				rbpazt_social_share();
			}
			?>
        </aside>
		<?php
	}
}

if ( ! function_exists( 'rbpazt_post_nav' ) ) {
	/**
	 * Display navigation to next/previous post when applicable.
	 */
	function rbpazt_post_nav() {

		$prev_post = get_previous_post();
		$next_post = get_next_post();
		$args      = [];
		if ( $next_post ) {
			$args['next_text'] = '<span class="nav-content"><span class="reader-text">' . esc_html__( 'Next article', 'rbpazt' ) . ' </span><span class="title">%title</span></span>' . get_the_post_thumbnail( $next_post->ID, array(
					80,
					80
				) );
		}
		if ( $prev_post ) {
			$args['prev_text'] = get_the_post_thumbnail( $prev_post->ID, array(
					80,
					80
				) ) . '<span class="nav-content"><span class="reader-text">' . esc_html__( 'Previous article', 'rbpazt' ) . ' </span><span class="title">%title</span></span> ';
		}

		the_post_navigation( $args );

	}
}

if ( ! function_exists( 'rbpazt_single_author' ) ) {
	function rbpazt_single_author() {
		get_template_part( 'template-parts/author-bio' );
	}
}

if ( ! function_exists( 'rbpazt_replace_categories_list' ) ) {
	function rbpazt_replace_categories_list( $output, $args ) {
		if ( $args['show_count'] = 1 ) {
			$pattern     = '#<li([^>]*)><a([^>]*)>(.*?)<\/a>\s*<span\s*class="count">\(([0-9]*)\)\s*</span>#i';
			$replacement = '<li$1><a$2><span class="cat-name">$3</span> <span class="cat-count">($4)</span></a>';
			$output      = preg_replace( $pattern, $replacement, $output );
			$pattern     = '#<li([^>]*)><a([^>]*)>(.*?)<\/a>\s*\(([0-9]*)\)\s*#i';  // removed ( and )
			$replacement = '<li$1><a$2><span class="cat-name">$3</span> <span class="cat-count">($4)</span></a>';

			return preg_replace( $pattern, $replacement, $output );
		}

		return $output;
	}
}

add_filter( 'wp_list_categories', 'rbpazt_replace_categories_list', 10, 2 );

if ( ! function_exists( 'rbpazt_replace_archive_list' ) ) {
	function rbpazt_replace_archive_list( $link_html, $url, $text, $format, $before, $after, $selected ) {
		if ( $format == 'html' ) {
			$pattern     = '#<li><a([^>]*)>(.*?)<\/a>&nbsp;\s*\(([0-9]*)\)\s*#i';  // removed ( and )
			$replacement = '<li><a$1><span class="archive-name">$2</span> <span class="archive-count">($3)</span></a>';

			return preg_replace( $pattern, $replacement, $link_html );
		}

		return $link_html;
	}
}

add_filter( 'get_archives_link', 'rbpazt_replace_archive_list', 10, 7 );

