<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header();

while ( have_posts() ) : the_post();
	?>
    <main <?php post_class( 'site-main' ); ?> role="main">
        <div class="container clearfix">
            <div id="primary" class="content-area">
				<?php if ( has_post_thumbnail() ) { ?>
                    <div class="post-thumbnail">
						<?php the_post_thumbnail( 'post-thumbnail' ); ?>
                    </div>
				<?php } ?>
                <header class="page-header">
					<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
                </header>
                <div class="page-content">
                    <div class="entry-content">
						<?php the_content(); ?>
                    </div>
                    <div class="clearfix">
						<?php wp_link_pages(); ?>
                    </div>
                </div>

				<?php
				// If comments are open or there is at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) {
					comments_template();
				}
				?>
            </div>
			<?php get_sidebar(); ?>
        </div>
    </main>
<?php
endwhile;

get_footer();
