<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @package RBpazt
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}
?>
<main class="site-main" role="main">
    <div class="page-content container">
        <img class="img-404" src="<?php echo esc_url(get_template_directory_uri() . '/assets/images/404.png') ?>" alt="<?php esc_attr_e('404 Page', 'rbpazt') ?>">
        <div class="content-wrap">
            <h2 class="page-title"><?php echo esc_html__('That Links Is Broken.', 'rbpazt') ?></h2>
            <div class="error-text">
                <span><?php esc_html_e("Sorry, we couldn't find the page you where looking for. We suggest that you return to ", 'rbpazt') ?></span>
                <a href="<?php echo esc_url(home_url('/')); ?>" class="return-home">
                    <?php esc_html_e('Home page', 'rbpazt'); ?>
                </a>
            </div>
            <a href="javascript: history.go(-1)" class="go-back button"><?php esc_html_e('Go back', 'rbpazt'); ?></a>
        </div>
    </div>
</main>
