<?php
/**
 * The template for displaying archive pages.
 *
 * @package RBpazt
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}
$blog_style = rbpazt_get_theme_option('blog_style');
$template = 'content/excerpt';
if($blog_style == 'grid'){
    $template = 'posts-grid/item-post-style-1';
}
$column = 3;
if (is_active_sidebar('sidebar-blog')) {
    $column = 2;
}
?>
<main class="site-main" role="main">
    <div class="container clearfix">
        <?php if (apply_filters('rbpazt_page_title', true)) : ?>
            <header class="page-header">
                <?php
                the_archive_title('<h1 class="entry-title">', '</h1>');
                the_archive_description('<p class="archive-description">', '</p>');
                ?>
            </header>
        <?php endif; ?>
        <div id="primary" class="content-area">
            <div class="page-content <?php echo esc_attr('blog-style-' . $blog_style); ?>">
                <?php if ($blog_style && $blog_style !== 'standard'):
                    echo '<div class="row" data-elementor-columns="' . $column . '" data-elementor-columns-tablet="2" data-elementor-columns-mobile="1">';
                endif; ?>
                <?php
                while (have_posts()): the_post();
                    get_template_part('template-parts/'. $template);
                endwhile; ?>
                <?php if ($blog_style && $blog_style !== 'standard'):
                    echo '</div>';
                endif; ?>
            </div>
            <?php

            $args = array(
                'type'      => 'list',
                'next_text' => '<span>' . esc_html__('Next', 'rbpazt') . '</span>',
                'prev_text' => '<span>' . esc_html__('Prev', 'rbpazt') . '</span>',
            );

            the_posts_pagination($args);
            ?>
        </div>
        <?php get_sidebar(); ?>
    </div>
</main>
