<?php
/**
 * The template for displaying singular post-types: posts, pages and user-defined custom post types.
 *
 * @package RBpazt
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
?>
<?php
while ( have_posts() ) : the_post();
	?>
    <main <?php post_class( 'site-main' ); ?> role="main">
        <div class="container clearfix">
            <div id="primary" class="content-area">
				<?php if ( has_post_thumbnail() ) { ?>
                    <div class="post-thumbnail">
						<?php the_post_thumbnail( 'post-thumbnail' ); ?>
                    </div>
				<?php } ?>
                <header class="page-header">
					<?php if ( apply_filters( 'rbpazt_page_title', true ) || is_singular( 'post' ) ) :
						the_title( '<h1 class="entry-title">', '</h1>' );
					endif; ?>
					<?php if ( 'post' === get_post_type() ): ?>
                        <div class="entry-meta"><?php
							rbpazt_post_meta(
								[
									'author'     => 1,
									'date'       => 1,
									'date_style' => 0,
									'categories' => 1
								]
							);
							?></div>
					<?php endif; ?>
                </header>
                <div class="page-content">
                    <div class="entry-content">
						<?php the_content(); ?>
                    </div>
					<?php rbpazt_post_taxonomy(); ?>
					<?php wp_link_pages(); ?>
                </div>

				<?php rbpazt_post_nav(); ?>
				<?php comments_template(); ?>
            </div>
			<?php get_sidebar(); ?>
        </div>
    </main>
<?php
endwhile;
